Loading...
Searching...
No Matches
Opm::BioeffectsContainer< Scalar > Class Template Reference

## Public Member Functions

void | allocate (const unsigned bufferSize, const bool isMICP)
void | assign (const unsigned globalDofIdx, const Scalar oxygenConcentration, const Scalar ureaConcentration, const Scalar calciteVolumeFraction)
void | assign (const unsigned globalDofIdx, const Scalar microbialConcentration, const Scalar biofilmVolumeFraction)
BioeffectsSolutionContainer< Scalar > | getSolution () const
void | outputRestart (data::Solution &sol, const bool isMICP)
void | readRestart (const unsigned globalDofIdx, const unsigned elemIdx, const data::Solution &sol, const bool isMICP)
bool | allocated () const

The documentation for this class was generated from the following files:

- opm/simulators/flow/BioeffectsContainer.hpp
- opm/simulators/flow/BioeffectsContainer.cpp